/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/XML.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "XML::insert_XML"
  bool XML::insert_XML (XML xml)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    //return text (xml.get_body());
    _body += xml.get_body(depth());
    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return true;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
